/* $Id: tcpcli.c,v 0.4 1996/10/11 21:42:47 sverrehu Exp $ */
/**************************************************************************
 *
 *  FILE            tcpcli.c
 *  MODULE OF       shhnet - TCP/UDP networking library.
 *
 *  DESCRIPTION     Functions specific to the client side of
 *                  a tcp-connection.
 *
 *  WRITTEN BY      Sverre H. Huseby <sverrehu@ifi.uio.no>
 *
 **************************************************************************/

#include "internal.h"
#include "shhnet.h"

/**************************************************************************
 *                                                                        *
 *                    P U B L I C    F U N C T I O N S                    *
 *                                                                        *
 **************************************************************************/

/*-------------------------------------------------------------------------
 *
 *  NAME          tcpClientOpen
 *
 *  FUNCTION      Open a client side tcp-connection.
 *
 *  SYNOPSIS      #include "shhnet.h"
 *                SNErr tcpClientOpen(const char *host, const char *service);
 *
 *  INPUT         host    a hostname, or a hostaddress in dotted quad
 *                        notation.
 *                service a service name, or a port number (ascii). if a
 *                        service name is given, it is mapped to a port
 *                        number.
 *
 *  OUTPUT        sock    the socket referencing the connection.
 *
 *  RETURNS       Error code.
 */
SNErr
tcpClientOpen(const char *host, const char *service, int *sock)
{
    return _snCliOpenCommon(CONN_TCP, host, service, 0, sock);
}
